<?php
namespace Claromentis\Search;

$GLOBALS["__65da1b1ec2d6653e8a0ab78" . "48e536215"] = (@$GLOBALS["__65da1b1ec2d6653e8a0ab" . "7848e536215"] ?: array()) + array("_63fc7fd38817bf222bc4e3a04e1" . "7f2c3" => base64_decode("Ii4gTWVzc2FnZTogIg" . "=="), "_e92ad742fc12ec1dd5c3055" . "7fafca331" => base64_decode("Ig" . "=="), "_76b8f4f0c6d86cb513c6a0c491" . "de1e8d" => base64_decode("VGV4dCBleHRyYWN0b3IgaXMgY29uZmlndXJlZCBidXQgdGhlIGNvbm5lY3Rpb24gY2hlY2s" . "gZmFpbGVkIHNvIGl0IHdpbGwgYmUgZGlzYWJsZWQuIE1lc3NhZ2U6ICI="), "_89317315bf1853e3644635cf16af3" . "b06" => base64_decode("VGV4dCBleHRyYWN0b3IgZXJyb3IgZnJvbSBmaWxlICI" . "="), "_4d707fab9" . "3bebb00bbe" . "69e8159697" . "c90" => base64_decode(""));
use Psr\Log\LoggerAwareInterface;
use Psr\Log\LoggerAwareTrait;
use Psr\Log\LoggerInterface;
use Psr\Log\NullLogger;
use Vaites\ApacheTika;
class TextExtractorService implements LoggerAwareInterface
{
    use LoggerAwareTrait;
    protected ?ApacheTika\Client $tikaClient = null;
    protected ?bool $isWorking = null;
    public function __construct(?ApacheTika\Client $_7ea853d2916986a25d9e854d8839f86e = null, LoggerInterface $logger = null)
    {
        $this->setLogger($logger ?? new NullLogger());
        $this->tikaClient = $_7ea853d2916986a25d9e854d8839f86e;
    }
    
    
    
    
    
    public function getText(string $filename) : string
    {
        if ($this->tikaClient === null || !$this->isAvailable()) {
            return $GLOBALS["__65da1b1ec2d6653e8a0ab7848e" . "536215"]["_4d707fab93bebb00bbe69e8159697c9" . "0"];
        }
        try {
            return $this->tikaClient->getText($filename);
        } catch (\Exception $e) {
            $this->logger->error($GLOBALS["__65da1b1ec2d6653e8a0ab" . "7848e536215"]["_8931731" . "5bf1853e" . "3644635c" . "f16af3b0" . "6"] . $filename . $GLOBALS["__65da1b1ec2d6653e" . "8a0ab7848e536215"]["_63fc7fd38817bf2" . "22bc4e3a04e17f2c" . "3"] . $e->getMessage() . $GLOBALS["__65da1b1ec" . "2d6653e8a0a" . "b7848e53621" . "5"]["_e92ad742" . "fc12ec1dd" . "5c30557fa" . "fca331"]);
            $this->logger->debug($e);
            return $GLOBALS["__65da1b1ec2d66" . "53e8a0ab7848e53" . "6215"]["_4d707fab93bebb00bbe69e815" . "9697c90"];
        }
    }
    public function isAvailable() : bool
    {
        if ($this->isWorking === null) {
            $this->isWorking = false;
            if ($this->tikaClient !== null) {
                try {
                    $this->tikaClient->check();
                    $this->isWorking = true;
                } catch (\Exception $e) {
                    $this->logger->error($GLOBALS["__65da1b1ec2d6653e8a0" . "ab7848e536215"]["_76b8f4f0c6d86cb513c6a0c491de1" . "e8d"] . $e->getMessage() . $GLOBALS["__65da1b1ec2d6653e8a0ab7848e5" . "36215"]["_e92ad742fc12ec1dd5c30557fafc" . "a331"]);
                    $this->logger->debug($e);
                }
            }
        }
        return $this->isWorking;
    }
}